Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeRayCastCompositeFunction Class Reference

`#include <vtkVolumeRayCastCompositeFunction.h>`

Inheritance diagram for vtkVolumeRayCastCompositeFunction:

[legend]
Collaboration diagram for vtkVolumeRayCastCompositeFunction:

[legend]
List of all members.

## Detailed Description

a ray function for compositing

Date:
  2002/10/28 21:33:01

Revision:
  1.29

vtkVolumeRayCastCompositeFunction is a ray function that can be used within a vtkVolumeRayCastMapper. This function performs compositing along the ray according to the properties stored in the vtkVolumeProperty for the volume.

See also:
  vtkVolumeRayCastMapper vtkVolumeProperty vtkVolume

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (90%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkVolumeRayCastCompositeFunction.cxx)`
  - .`h` (`/Rendering/vtkVolumeRayCastCompositeFunction.h)`

Examples:
  vtkVolumeRayCastCompositeFunction (Examples)

Tests:
  vtkVolumeRayCastCompositeFunction (Tests)

Definition at line 56 of file vtkVolumeRayCastCompositeFunction.h.

## Public Types
typedef vtkVolumeRayCastFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | CastRay (vtkVolumeRayCastDynamicInfo *dynamicInfo, vtkVolumeRayCastStaticInfo *staticInfo)
float | GetZeroOpacityThreshold (vtkVolume *vol)
virtual void | SetCompositeMethod (int)
virtual int | GetCompositeMethod ()
void | SetCompositeMethodToInterpolateFirst ()
void | SetCompositeMethodToClassifyFirst ()
const char * | GetCompositeMethodAsString (void)
## Static Public Methods
vtkVolumeRayCastCompositeFunction * | New ()
int | IsTypeOf (const char *type)
vtkVolumeRayCastCompositeFunction * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVolumeRayCastCompositeFunction ()
| ~vtkVolumeRayCastCompositeFunction ()
void | SpecificFunctionInitialize (vtkRenderer *ren, vtkVolume *vol, vtkVolumeRayCastStaticInfo *staticInfo, vtkVolumeRayCastMapper *mapper)
## Protected Attributes
int | CompositeMethod

## Member Typedef Documentation

typedef vtkVolumeRayCastFunction vtkVolumeRayCastCompositeFunction::Superclass

| Reimplemented from vtkVolumeRayCastFunction. Definition at line 60 of file vtkVolumeRayCastCompositeFunction.h.

## Constructor & Destructor Documentation

vtkVolumeRayCastCompositeFunction::vtkVolumeRayCastCompositeFunction | ( |  | ) | `[protected]`

vtkVolumeRayCastCompositeFunction::~vtkVolumeRayCastCompositeFunction | ( |  | ) | `[protected]`

## Member Function Documentation

vtkVolumeRayCastCompositeFunction* vtkVolumeRayCastCompositeFunction::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkVolumeRayCastCompositeFunction::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeRayCastFunction.

int vtkVolumeRayCastCompositeFunction::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastFunction.

virtual int vtkVolumeRayCastCompositeFunction::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeRayCastFunction.

vtkVolumeRayCastCompositeFunction* vtkVolumeRayCastCompositeFunction::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeRayCastFunction.

void vtkVolumeRayCastCompositeFunction::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeRayCastFunction.

virtual void vtkVolumeRayCastCompositeFunction::SetCompositeMethod | ( | int |  | ) | `[virtual]`

| Set the CompositeMethod to either Classify First or Interpolate First

virtual int vtkVolumeRayCastCompositeFunction::GetCompositeMethod | ( |  | ) | `[virtual]`

| Set the CompositeMethod to either Classify First or Interpolate First

void vtkVolumeRayCastCompositeFunction::SetCompositeMethodToInterpolateFirst | ( |  | ) | `[inline]`

| Set the CompositeMethod to either Classify First or Interpolate First Definition at line 68 of file vtkVolumeRayCastCompositeFunction.h. References VTK_COMPOSITE_INTERPOLATE_FIRST.

void vtkVolumeRayCastCompositeFunction::SetCompositeMethodToClassifyFirst | ( |  | ) | `[inline]`

| Set the CompositeMethod to either Classify First or Interpolate First Definition at line 70 of file vtkVolumeRayCastCompositeFunction.h. References VTK_COMPOSITE_CLASSIFY_FIRST.

const char* vtkVolumeRayCastCompositeFunction::GetCompositeMethodAsString | ( | void |  | ) |

| Set the CompositeMethod to either Classify First or Interpolate First

void vtkVolumeRayCastCompositeFunction::CastRay | ( | vtkVolumeRayCastDynamicInfo * | dynamicInfo,
|  | vtkVolumeRayCastStaticInfo * | staticInfo
| ) | `[virtual]`

| Implements vtkVolumeRayCastFunction.

float vtkVolumeRayCastCompositeFunction::GetZeroOpacityThreshold | ( | vtkVolume * | vol | ) | `[virtual]`

| Get the value below which all scalar values are considered to have 0 opacity. Implements vtkVolumeRayCastFunction.

void vtkVolumeRayCastCompositeFunction::SpecificFunctionInitialize | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol,
|  | vtkVolumeRayCastStaticInfo * | staticInfo,
|  | vtkVolumeRayCastMapper * | mapper
| ) | `[protected, virtual]`

| This method gives the subclass a chance to do any special initialization that it may need to do BTX Implements vtkVolumeRayCastFunction.

## Member Data Documentation

int vtkVolumeRayCastCompositeFunction::CompositeMethod`[protected]`

| Definition at line 93 of file vtkVolumeRayCastCompositeFunction.h.

The documentation for this class was generated from the following file:

- Rendering/vtkVolumeRayCastCompositeFunction.h